Package com.mapd.thrift.server

## Class TDetectResult

- java.lang.Object
- - com.mapd.thrift.server.TDetectResult

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDetectResult>`, `org.apache.thrift.TBase<TDetectResult,​TDetectResult._Fields>`, `org.apache.thrift.TSerializable`

    public class TDetectResult
    extends Object
    implements org.apache.thrift.TBase<TDetectResult,​TDetectResult._Fields>, Serializable, Cloneable, Comparable<TDetectResult>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDetectResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`TCopyParams` `copy_params`
`static Map<TDetectResult._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TRowSet` `row_set`

### Constructor Summary

Constructors
`TDetectResult()`
`TDetectResult​(TDetectResult other)` Performs a deep copy on other.
`TDetectResult​(TRowSet row_set, TCopyParams copy_params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TDetectResult other)`
`TDetectResult` `deepCopy()`
`boolean` `equals​(TDetectResult that)`
`boolean` `equals​(Object that)`
`TDetectResult._Fields` `fieldForId​(int fieldId)`
`TCopyParams` `getCopy_params()`
`Object` `getFieldValue​(TDetectResult._Fields field)`
`TRowSet` `getRow_set()`
`int` `hashCode()`
`boolean` `isSet​(TDetectResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCopy_params()` Returns true if field copy_params is set (has been assigned a value) and false otherwise
`boolean` `isSetRow_set()` Returns true if field row_set is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TDetectResult` `setCopy_params​(TCopyParams copy_params)`
`void` `setCopy_paramsIsSet​(boolean value)`
`void` `setFieldValue​(TDetectResult._Fields field, Object value)`
`TDetectResult` `setRow_set​(TRowSet row_set)`
`void` `setRow_setIsSet​(boolean value)`
`String` `toString()`
`void` `unsetCopy_params()`
`void` `unsetRow_set()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### row_set

    public TRowSet row_set

#### copy_params

    public TCopyParams copy_params

#### metaDataMap

    public static final Map<TDetectResult._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDetectResult

    public TDetectResult()

#### TDetectResult

    public TDetectResult​(TRowSet row_set,
                         TCopyParams copy_params)

#### TDetectResult

    public TDetectResult​(TDetectResult other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDetectResult deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDetectResult,​TDetectResult._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDetectResult,​TDetectResult._Fields>`

#### getRow_set

    public TRowSet getRow_set()

#### setRow_set

    public TDetectResult setRow_set​(TRowSet row_set)

#### unsetRow_set

    public void unsetRow_set()

#### isSetRow_set

    public boolean isSetRow_set()

Returns true if field row_set is set (has been assigned a value) and false otherwise

#### setRow_setIsSet

    public void setRow_setIsSet​(boolean value)

#### getCopy_params

    public TCopyParams getCopy_params()

#### setCopy_params

    public TDetectResult setCopy_params​(TCopyParams copy_params)

#### unsetCopy_params

    public void unsetCopy_params()

#### isSetCopy_params

    public boolean isSetCopy_params()

Returns true if field copy_params is set (has been assigned a value) and false otherwise

#### setCopy_paramsIsSet

    public void setCopy_paramsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDetectResult._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDetectResult,​TDetectResult._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDetectResult._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDetectResult,​TDetectResult._Fields>`

#### isSet

    public boolean isSet​(TDetectResult._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDetectResult,​TDetectResult._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDetectResult that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDetectResult other)

Specified by:
  `compareTo` in interface `Comparable<TDetectResult>`

#### fieldForId

    public TDetectResult._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDetectResult,​TDetectResult._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`